
Redmine - Defect #13289

ActionNotFound when changing status 

2013-02-26 10:17 - Miodrag Milic

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

This only shows in production log when I change status in combo box:

AbstractController::ActionNotFound (The action 'update_form' could not be found for IssuesController)

full production logfull production log

AbstractController::ActionNotFound (The action 'update_form' could not be found for IssuesControll

er):

  actionpack (3.2.12) lib/abstract_controller/base.rb:116:in `process'

  actionpack (3.2.12) lib/abstract_controller/rendering.rb:45:in `process'

  actionpack (3.2.12) lib/action_controller/metal.rb:203:in `dispatch'

  actionpack (3.2.12) lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

  actionpack (3.2.12) lib/action_controller/metal.rb:246:in `block in action'

  actionpack (3.2.12) lib/action_dispatch/routing/route_set.rb:73:in `call'

  actionpack (3.2.12) lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

  actionpack (3.2.12) lib/action_dispatch/routing/route_set.rb:36:in `call'

  journey (1.0.4) lib/journey/router.rb:68:in `block in call'

  journey (1.0.4) lib/journey/router.rb:56:in `each'

  journey (1.0.4) lib/journey/router.rb:56:in `call'

  actionpack (3.2.12) lib/action_dispatch/routing/route_set.rb:601:in `call'

  rack-openid (1.3.1) lib/rack/openid.rb:98:in `call'

  actionpack (3.2.12) lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

  rack (1.4.5) lib/rack/etag.rb:23:in `call'

  rack (1.4.5) lib/rack/conditionalget.rb:35:in `call'

  actionpack (3.2.12) lib/action_dispatch/middleware/head.rb:14:in `call'

  actionpack (3.2.12) lib/action_dispatch/middleware/params_parser.rb:21:in `call'

  actionpack (3.2.12) lib/action_dispatch/middleware/flash.rb:242:in `call'

  rack (1.4.5) lib/rack/session/abstract/id.rb:210:in `context'

  rack (1.4.5) lib/rack/session/abstract/id.rb:205:in `call'

  actionpack (3.2.12) lib/action_dispatch/middleware/cookies.rb:341:in `call'

  activerecord (3.2.12) lib/active_record/query_cache.rb:64:in `call'

  activerecord (3.2.12) lib/active_record/connection_adapters/abstract/connection_pool.rb:479:in `

call'

  actionpack (3.2.12) lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'

  activesupport (3.2.12) lib/active_support/callbacks.rb:405:in `_run__2609029255247527083__call__

294377884187513283__callbacks'

  activesupport (3.2.12) lib/active_support/callbacks.rb:405:in `__run_callback'

  activesupport (3.2.12) lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

  activesupport (3.2.12) lib/active_support/callbacks.rb:81:in `run_callbacks'

  actionpack (3.2.12) lib/action_dispatch/middleware/callbacks.rb:27:in `call'

  actionpack (3.2.12) lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

  actionpack (3.2.12) lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

  actionpack (3.2.12) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

  railties (3.2.12) lib/rails/rack/logger.rb:32:in `call_app'

  railties (3.2.12) lib/rails/rack/logger.rb:16:in `block in call'

  activesupport (3.2.12) lib/active_support/tagged_logging.rb:22:in `tagged'

  railties (3.2.12) lib/rails/rack/logger.rb:16:in `call'

  actionpack (3.2.12) lib/action_dispatch/middleware/request_id.rb:22:in `call'

  rack (1.4.5) lib/rack/methodoverride.rb:21:in `call'

  rack (1.4.5) lib/rack/runtime.rb:17:in `call'

  activesupport (3.2.12) lib/active_support/cache/strategy/local_cache.rb:72:in `call'
  rack (1.4.5) lib/rack/lock.rb:15:in `call'

  actionpack (3.2.12) lib/action_dispatch/middleware/static.rb:62:in `call'

  rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'

  rack-cache (1.2) lib/rack/cache/context.rb:143:in `pass'

  rack-cache (1.2) lib/rack/cache/context.rb:155:in `invalidate'

  rack-cache (1.2) lib/rack/cache/context.rb:71:in `call!'

  rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'

  railties (3.2.12) lib/rails/engine.rb:479:in `call'

  railties (3.2.12) lib/rails/application.rb:223:in `call'

  railties (3.2.12) lib/rails/railtie/configurable.rb:30:in `method_missing'

  thin (1.5.0) lib/thin/connection.rb:81:in `block in pre_process'

  thin (1.5.0) lib/thin/connection.rb:79:in `catch'

  thin (1.5.0) lib/thin/connection.rb:79:in `pre_process'

  thin (1.5.0) lib/thin/connection.rb:54:in `process'

  thin (1.5.0) lib/thin/connection.rb:39:in `receive_data'

  eventmachine (1.0.0) lib/eventmachine.rb:187:in `run_machine'

  eventmachine (1.0.0) lib/eventmachine.rb:187:in `run'

  thin (1.5.0) lib/thin/backends/base.rb:63:in `start'

  thin (1.5.0) lib/thin/server.rb:159:in `start'

  thin (1.5.0) lib/thin/controllers/controller.rb:86:in `start'

  thin (1.5.0) lib/thin/runner.rb:187:in `run_command'

  thin (1.5.0) lib/thin/runner.rb:152:in `run!'

  thin (1.5.0) bin/thin:6:in `<top (required)>'

  /usr/local/bin/thin:19:in `load'

  /usr/local/bin/thin:19:in `<main>'

Version: Redmine 2.3.0.devel.11476

History

#1 - 2013-03-01 13:41 - Jean-Philippe Lang

- Status changed from New to Needs feedback

This action (IssuesController#update_form) was added in r11405. Make sure you've properly updated your source code and restarted.

#2 - 2013-03-01 14:12 - Miodrag Milic

Not sure what happened. I reverted to 2.2.3.devel.11368 and it works now.

Thanks.

#3 - 2013-03-01 15:51 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
